Sanal geziyi düzgün bir şekilde izlemek için, Flash Player 9.0.28 ya da daha ileri bir sürüm gerekmektedir. Google Chrome'un güncel versiyonları Flash Player'ı içermektedir. Diüer tarayıcılar için son sürümü lütfen Flash Player adresinden indirerek bilgisayarınıza kurunuz. Bazı sistemler ya da tarayıcılar güvenlik ayarları nedeniyle çalıcıyı doğrudan çalıştırmamakta, sizden onay istemektedir. Bu durumda onay vermelisiniz.